#!/bin/bash
# PinePhone suspend / wakeup 
# /usr/lib/systemd/system-sleep/pinephone-modem-suspend.sh

prepare_suspend() {
	echo "Preparing to suspend..."
}

resume_all() {
	echo "Resuming the device..."
	hwclock -s &
}

case $1 in
	pre) prepare_suspend ;;
	post) resume_all ;;
esac
